Bug 4838 - Allow journal issues to be sortable by drag 'n' drop
Allow journal issues to be sortable by drag 'n' drop
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.3.1
PC Mac OS X 10.3
: P5 enhancement
Assigned To: Ryan Yeske
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 13:24 PDT by James MacGregor
Modified: 2009-11-13 13:55 PST (History)
4 users (show)

See Also:
Version Reported In: 2.3.0
Also Affects:


Attachments
patch against ojs2 cvs (6.60 KB, patch)
2009-10-28 18:14 PDT, Ryan Yeske
Details | Diff
updated patch against ojs2 cvs (7.03 KB, patch)
2009-11-03 10:27 PST, Ryan Yeske
Details | Diff
patch against ojs2 cvs (9.13 KB, patch)
2009-11-12 23:37 PST, Ryan Yeske
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-10-26 13:24:03 PDT
Back issues should be sortable by drag 'n' drop (specifically, templates/editor/issues/backIssues.tpl).
Comment 1 Ryan Yeske 2009-10-28 18:14:52 PDT
Created attachment 2561 [details]
patch against ojs2 cvs
Comment 2 James MacGregor 2009-10-30 10:45:38 PDT
(In reply to comment #1)
> Created an attachment (id=2561) [details]
> patch against ojs2 cvs

Hi Ryan, I'm having a problem with the patch (similar to what Brian reported via email): after applying it, I do get the hand/grab icon while floating over an issue title, but I can't drag and drop at all.
Comment 3 Ryan Yeske 2009-10-30 22:17:03 PDT
We had this problem with some of the initial drag and drop pages, see

http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=4607

But in this case, the patch includes the case for this page.  The way to verify that is to look at the page source and see if 

jquery.tablednd_0_5.js and
tablednd.js

are included.  If not, perhaps it is a caching issue?
Comment 4 bdgregg 2009-11-03 09:02:39 PST
Ryan,

Combined with the patch you sent me via email, the drag/drop now works in 2.3.0.

Thanks,
Brian Gregg.
Comment 5 Ryan Yeske 2009-11-03 10:27:13 PST
Created attachment 2571 [details]
updated patch against ojs2 cvs

Includes missing setup code discovered by bdgregg, replaces previous patch.
Comment 6 Ryan Yeske 2009-11-12 23:37:59 PST
Created attachment 2595 [details]
patch against ojs2 cvs

Addresses final issues found and reported by @bdgregg:

- Clicking the up and down arrows results in refreshing back to the original page.
- Dragging and dropping an item to the first position on page>1 no longer puts the item at the beginning of the first page.
Comment 7 Alec Smecher 2009-11-13 10:22:12 PST
Looks great, Ryan -- two things to fix:
- Document your TODO
- Change some space-based indents to tab-based indents

Otherwise, go ahead and commit!
Comment 8 Ryan Yeske 2009-11-13 13:55:45 PST
Committed